<?php
	
	/*--------------Theme color option-----------------*/

	$tijarat_business_theme_color = get_theme_mod('tijarat_business_theme_color');

	$custom_css = '';

	if($tijarat_business_theme_color != false){
		$custom_css .='span.carousel-control-prev-icon i:hover,span.carousel-control-next-icon i:hover, .readbutton a:hover, #about .about-text, .woocommerce span.onsale, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, nav.woocommerce-MyAccount-navigation ul li, .post-link a:hover, .post-info, #sidebox h2, button.search-submit:hover, .search-form button.search-submit, .copyright, .widget .tagcloud a:hover,.widget .tagcloud a:focus,.widget.widget_tag_cloud a:hover,.widget.widget_tag_cloud a:focus,.wp_widget_tag_cloud a:hover,.wp_widget_tag_cloud a:focus, button,input[type="button"],input[type="submit"], .logo, .box:before,#sidebox .search-form button.search-submit, .site-footer .search-form button.search-submit,.page-numbers,.scrollup i,.comment-reply-link,.tags p a, .post-navigation .nav-next a, .post-navigation .nav-previous a{';
			$custom_css .='background-color: '.esc_html($tijarat_business_theme_color).';';
		$custom_css .='}';
	}
	if($tijarat_business_theme_color != false){
		$custom_css .='a, .navigation-top a, .main-navigation a:hover, .site-footer ul li a:hover,.main-navigation li li:focus > a,
	.main-navigation li li:hover > a,.blogger h2 a,#sidebox ul li a:hover{';
			$custom_css .='color: '.esc_html($tijarat_business_theme_color).';';
		$custom_css .='}';
	}
	if($tijarat_business_theme_color != false){
		$custom_css .='.main-navigation ul ul, span.carousel-control-prev-icon i:hover,span.carousel-control-next-icon i:hover, .readbutton a:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .post-link a:hover,.scrollup i{';
			$custom_css .='border-color: '.esc_html($tijarat_business_theme_color).';';
		$custom_css .='}';
	}
	if($tijarat_business_theme_color != false){
		$custom_css .='.main-navigation ul ul li:hover{';
			$custom_css .='border-left-color: '.esc_html($tijarat_business_theme_color).';';
		$custom_css .='}';
	}
	if($tijarat_business_theme_color != false){
		$custom_css .='.site-footer ul li a:hover{';
			$custom_css .='color: '.esc_html($tijarat_business_theme_color).'!important;';
		$custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'tijarat_business_theme_options','Default');
    if($theme_lay == 'Default'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-home-page .middle-header{';
			$custom_css .='width: 97.3%';
		$custom_css .='}';
	}else if($theme_lay == 'Wide Layout'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-home-page .middle-header{';
			$custom_css .='width: 97.7%';
		$custom_css .='}';
	}else if($theme_lay == 'Box Layout'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$theme_lay = get_theme_mod( 'tijarat_business_slider_opacity_color','0.6');
	if($theme_lay == '0'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
		}else if($theme_lay == '0.1'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
		}else if($theme_lay == '0.2'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
		}else if($theme_lay == '0.3'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
		}else if($theme_lay == '0.4'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
		}else if($theme_lay == '0.5'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
		}else if($theme_lay == '0.6'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
		}else if($theme_lay == '0.7'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
		}else if($theme_lay == '0.8'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
		}else if($theme_lay == '0.9'){
		$custom_css .='#slider img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
		}

	/*---------------------------Slider Content Layout -------------------*/

	$theme_lay = get_theme_mod( 'tijarat_business_slider_content_option','Left');
    if($theme_lay == 'Left'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$custom_css .='text-align:left; left:15%; right:45%;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (max-width: 767px){
		#slider .readbutton a{';
		$custom_css .='font-size:12px;';
		$custom_css .='} }';
	}else if($theme_lay == 'Center'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$custom_css .='text-align:center; left:20%; right:20%;';
		$custom_css .='}';
	}else if($theme_lay == 'Right'){
		$custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$custom_css .='text-align:right; left:45%; right:15%;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (max-width: 990px) and (min-width: 320px){
		#slider .carousel-caption{';
		$custom_css .='top:37%;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and (max-width: 767px){
		#slider .readbutton a{';
		$custom_css .='font-size:12px;';
		$custom_css .='} }';
	}

	/*--------------- Button Settings option----------------*/

	$tijarat_business_top_bottom_padding = get_theme_mod('tijarat_business_top_bottom_padding');
	$tijarat_business_left_right_padding = get_theme_mod('tijarat_business_left_right_padding');
	if($tijarat_business_top_bottom_padding != false || $tijarat_business_left_right_padding != false){
		$custom_css .='.post-link a, #slider .readbutton a, .form-submit input[type="submit"],#about .aboutbtn a, #our-services .aboutbtn a{';
			$custom_css .='padding-top: '.esc_html($tijarat_business_top_bottom_padding).'px; padding-bottom: '.esc_html($tijarat_business_top_bottom_padding).'px; padding-left: '.esc_html($tijarat_business_left_right_padding).'px; padding-right: '.esc_html($tijarat_business_left_right_padding).'px; display:inline-block;';
		$custom_css .='}';
	}

	$tijarat_business_border_radius = get_theme_mod('tijarat_business_border_radius');
	if($tijarat_business_border_radius != false){
		$custom_css .='.post-link a,#slider .readbutton, .form-submit input[type="submit"],#about .aboutbtn a, #our-services .aboutbtn a{';
			$custom_css .='border-radius: '.esc_html($tijarat_business_border_radius).'px;';
		$custom_css .='}';
	}

	/*--------- Preloader Color Option -------*/
	$tijarat_business_loader_color_setting = get_theme_mod('tijarat_business_loader_color_setting');

	if($tijarat_business_loader_color_setting != false){
		$custom_css .=' .circle .inner{';
			$custom_css .='border-color: '.esc_html($tijarat_business_loader_color_setting).';';
		$custom_css .='} ';
	}

	$tijarat_business_loader_background_color = get_theme_mod('tijarat_business_loader_background_color');

	if($tijarat_business_loader_background_color != false){
		$custom_css .=' #pre-loader{';
			$custom_css .='background-color: '.esc_html($tijarat_business_loader_background_color).';';
		$custom_css .='} ';
	}

	$theme_lay = get_theme_mod( 'tijarat_business_preloader_types','Default');
    if($theme_lay == 'Default'){
		$custom_css .='{';
			$custom_css .='';
		$custom_css .='}';
	}elseif($theme_lay == 'Circle'){
		$custom_css .='.circle .inner{';
			$custom_css .='width:unset;';
		$custom_css .='}';
	}elseif($theme_lay == 'Two Circle'){
		$custom_css .='.circle .inner{';
			$custom_css .='width:80%;
    border-right: 5px;';
		$custom_css .='}';
	}

	/*------------------Blog Layout -------------------*/

	$theme_lay = get_theme_mod( 'tijarat_business_blog_post_layout','Default');
    if($theme_lay == 'Default'){
		$custom_css .='.blogger{';
			$custom_css .='';
		$custom_css .='}';
	}else if($theme_lay == 'Center'){
		$custom_css .='.blogger, .blogger h2, .post-info, .text p, .blogger .post-link{';
			$custom_css .='text-align:center;';
		$custom_css .='}';
		$custom_css .='.post-info{';
			$custom_css .='margin-top:10px;';
		$custom_css .='}';
		$custom_css .='.blogger .post-link{';
			$custom_css .='margin-top:25px;';
		$custom_css .='}';
	}else if($theme_lay == 'Image and Content'){
		$custom_css .='.blogger, .blogger h2, .post-info, .text p, #our-services p{';
			$custom_css .='text-align:Left;';
		$custom_css .='}';
		$custom_css .='.blogger .post-link{';
			$custom_css .='text-align:right;';
		$custom_css .='}';
		$custom_css .='.post-info span{';
			$custom_css .='font-size:14px;';
		$custom_css .='}';
		$custom_css .='.post-info i{';
			$custom_css .='font-size:12px;';
		$custom_css .='}';
	}

	// Responsive Media
	$sidebar = get_theme_mod( 'tijarat_business_enable_disable_sidebar',true);
    if($sidebar == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#sidebox{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($sidebar == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#sidebox{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$stickyheader = get_theme_mod( 'tijarat_business_enable_disable_fixed_header',true);
	if($stickyheader == true && get_theme_mod( 'tijarat_business_fixed_header',false) != true){
    	$custom_css .='.fixed-header{';
			$custom_css .='position:static;';
		$custom_css .='} ';
	}
    if($stickyheader == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.fixed-header{';
			$custom_css .='position:fixed;';
		$custom_css .='} }';
	}else if($stickyheader == false){
		$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.fixed-header{';
			$custom_css .='position:static;';
		$custom_css .='} }';
	}

	$sliderbutton = get_theme_mod( 'tijarat_business_enable_disable_slider',true);
	if($sliderbutton == true && get_theme_mod( 'tijarat_business_slider_arrows') == false){
    	$custom_css .='#slider{';
			$custom_css .='display:none;';
		$custom_css .='} ';
	}
    if($sliderbutton == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#slider{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($sliderbutton == false){
		$custom_css .='@media screen and (max-width:575px){';
		$custom_css .='#slider{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$sliderbutton = get_theme_mod( 'tijarat_business_show_hide_slider_button',true);
	if($sliderbutton == true && get_theme_mod( 'tijarat_business_slider_button',false) != true){
    	$custom_css .='#slider .readbutton{';
			$custom_css .='display:none;';
		$custom_css .='} ';
	}
    if($sliderbutton == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='#slider .readbutton{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($sliderbutton == false){
		$custom_css .='@media screen and (max-width:575px){';
		$custom_css .='#slider .readbutton{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$sliderbutton = get_theme_mod( 'tijarat_business_enable_disable_scrolltop',true);
	if(get_theme_mod( 'tijarat_business_hide_show_scroll',true) == false ){
    	$custom_css .='.scrollup i{';
			$custom_css .='display:none;';
		$custom_css .='} ';
	}
    if($sliderbutton == true){
    	$custom_css .='@media screen and (max-width:575px) {';
		$custom_css .='.scrollup i{';
			$custom_css .='display:block;';
		$custom_css .='} }';
	}else if($sliderbutton == false){
		$custom_css .='@media screen and (max-width:575px){';
		$custom_css .='.scrollup i{';
			$custom_css .='display:none;';
		$custom_css .='} }';
	}

	$show_slider = get_theme_mod( 'tijarat_business_slider_arrows', true);
		if($show_slider == true){
			$custom_css .='.page-template-home-custom #masthead .main-header{';
				$custom_css .=';';
			$custom_css .='}';
		}else if($show_slider == false){
			$custom_css .='.page-template-home-custom #masthead .main-header{';
				$custom_css .='position:static;padding: 10px 0; background: rgba(84, 103, 234, 0.4);';
			$custom_css .='}';
		}if($show_slider == true){
			$custom_css .='#about{';
				$custom_css .=';';
			$custom_css .='}';
		}else if($show_slider == false){
			$custom_css .='#about{';
				$custom_css .='margin-top: 1em;';
			$custom_css .='}';
		}

	// Copyright top-bottom padding setting 
	$tijarat_business_copyright_top_bottom_padding = get_theme_mod('tijarat_business_copyright_top_bottom_padding');
	if($tijarat_business_copyright_top_bottom_padding != false){
		$custom_css .='.site-info{';
			$custom_css .='padding-top: '.esc_html($tijarat_business_copyright_top_bottom_padding).'px; padding-bottom: '.esc_html($tijarat_business_copyright_top_bottom_padding).'px;';
		$custom_css .='}';
	}

